org.custommonkey.xmlunit

## Interface DifferenceListener

All Known Implementing Classes:
  CaseInsensitiveDifferenceListener, DetailedDiff, Diff, FloatingPointTolerantDifferenceListener, IgnoreTextAndAttributeValuesDifferenceListener, TextDifferenceListenerBase

    public interface DifferenceListener

Listener for callbacks from a `DifferenceEngine comparison`.
Examples and more at xmlunit.sourceforge.net

### Field Summary

Fields
`static int` `RETURN_ACCEPT_DIFFERENCE` Standard return value for the `differenceFound` method.
`static int` `RETURN_IGNORE_DIFFERENCE_NODES_IDENTICAL` Override return value for the `differenceFound` method.
`static int` `RETURN_IGNORE_DIFFERENCE_NODES_SIMILAR` Override return value for the `differenceFound` method.
`static int` `RETURN_UPGRADE_DIFFERENCE_NODES_DIFFERENT` Override return value for the `differenceFound` method.

### Method Summary

Methods
`int` `differenceFound(Difference difference)` Receive notification that 2 nodes are different.
`void` `skippedComparison(org.w3c.dom.Node control, org.w3c.dom.Node test)` Receive notification that a comparison between 2 nodes has been skipped because the node types are not comparable by the DifferenceEngine

### Field Detail

#### RETURN_ACCEPT_DIFFERENCE

    static final int RETURN_ACCEPT_DIFFERENCE

Standard return value for the `differenceFound` method. Indicates that the `Difference` is interpreted as defined in `DifferenceConstants`.

See Also:
  Constant Field Values

#### RETURN_IGNORE_DIFFERENCE_NODES_IDENTICAL

    static final int RETURN_IGNORE_DIFFERENCE_NODES_IDENTICAL

Override return value for the `differenceFound` method. Indicates that the nodes identified as being different should be interpreted as being identical.

See Also:
  Constant Field Values

#### RETURN_IGNORE_DIFFERENCE_NODES_SIMILAR

    static final int RETURN_IGNORE_DIFFERENCE_NODES_SIMILAR

Override return value for the `differenceFound` method. Indicates that the nodes identified as being different should be interpreted as being similar.

See Also:
  Constant Field Values

#### RETURN_UPGRADE_DIFFERENCE_NODES_DIFFERENT

    static final int RETURN_UPGRADE_DIFFERENCE_NODES_DIFFERENT

Override return value for the `differenceFound` method. Indicates that the nodes identified as being similar should be interpreted as being different.

See Also:
  Constant Field Values

### Method Detail

#### differenceFound

    int differenceFound(Difference difference)

Receive notification that 2 nodes are different.

Parameters:
  `difference` - a Difference instance as defined in `DifferenceConstants` describing the cause of the difference and containing the detail of the nodes that differ
Returns:
  int one of the RETURN_... constants describing how this difference was interpreted

#### skippedComparison

    void skippedComparison(org.w3c.dom.Node control,
                         org.w3c.dom.Node test)

Receive notification that a comparison between 2 nodes has been skipped because the node types are not comparable by the DifferenceEngine

Parameters:
  `control` - the control node being compared
  `test` - the test node being compared
See Also:
  `DifferenceEngine`